For the complete documentation index, see llms.txt. This page is also available as Markdown.

PnL History

Get futures PnL history on PointPay Exchange.

Details

GET https://api.pointpay.io/fapi/v1/private/trade/pnl-history

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

Query Parameters

Name
Type
Description
Example

symbol

STRING

Trading pair

BTCUSDT

startTime

NUMERIC

Start time in milliseconds

1713542400000

endTime

NUMERIC

End time in milliseconds

1713628800000

limit*

NUMERIC

Number of records to return. Range: 1 to 50

20

cursor

STRING

Cursor for paginated results

next-page-token

limit is required.

CURL Example
curl -X GET "https://api.pointpay.io/fapi/v1/private/trade/pnl-history?symbol=BTCUSDT&limit=20&startTime=1713542400000&endTime=1713628800000" \
  -H "accept: application/json" \
  -H "X-TXC-APIKEY: <api-key>" \
  -H "X-TXC-PAYLOAD: <base64-payload>" \
  -H "X-TXC-SIGNATURE: <signature>"

Response parameters

response contains:

Name
Type
Description

nextPageCursor

STRING

Cursor for next page

category

STRING

Product category

list

ARRAY

PnL history records

Each item in list contains:

Name
Type
Description

symbol

STRING

Trading pair

orderType

STRING

Order type

leverage

STRING

Applied leverage

updatedTime

STRING

Last update time in milliseconds

side

STRING

Order side

orderId

STRING

Order ID

closedPnl

NUMERIC

Closed profit and loss

openFee

STRING

Opening fee

closeFee

STRING

Closing fee

avgEntryPrice

STRING

Average entry price

qty

STRING

Order quantity

cumEntryValue

STRING

Cumulative entry value

createdTime

STRING

Creation time in milliseconds

orderPrice

STRING

Order price

closedSize

STRING

Closed size

avgExitPrice

STRING

Average exit price

execType

STRING

Execution type

fillCount

STRING

Number of fills

cumExitValue

STRING

Cumulative exit value

feeOpenCurrency

STRING

Opening fee currency

feeCloseCurrency

STRING

Closing fee currency

Response example

Last updated